Name:           python-jaraco-context
Version:        4.3.0
Release:        1
Summary:        Tools to work with functools
License:        MIT
URL:            https://pypi.org/project/jaraco.context
Source0:        https://files.pythonhosted.org/packages/source/j/jaraco.context/jaraco.context-%{version}.tar.gz

BuildRequires:  python3-devel
BuildRequires:  python3-pytest
BuildRequires:  python3-setuptools_scm
BuildRequires:  python3-setuptools
BuildRequires:  python3-toml
BuildRequires:  python3-pip python3-wheel

BuildArch:      noarch

%description
jaraco.functools Tools for working with functools.
Additional functools in the spirit of stdlib’s functools.

%package -n python3-jaraco-context
Summary:        %{Summary}

%description -n python3-jaraco-context
jaraco.functools Tools for working with functools.
Additional functools in the spirit of stdlib’s functools.

%prep
%autosetup -n jaraco.context-%{version} -p1

%build
%pyproject_build

%install
%pyproject_install jaraco.context==%{version}

%check
pytest

%files -n python3-jaraco-context
%license LICENSE
%doc docs/*.rst README.rst CHANGES.rst
%{python3_sitelib}/jaraco/__pycache__/*
%{python3_sitelib}/jaraco/context.py*
%{python3_sitelib}/jaraco.context-%{version}*-info

%changelog
* Fri Apr 28 2023 yaoxin <yao_xin001@hoperun.com> - 4.3.0-1
- Package init
